Home | Download | Screen shots | Discussion | Documentation
--- | --- | --- | --- | ---

- Main Page
- Namespaces
- Classes
- Files
- Related Pages
- Examples

- Class List
- Class Hierarchy
- Class Members

# openvrml::color_rgba_node Class Reference

`#include <openvrml/node.h>`

Inheritance diagram for openvrml::color_rgba_node:

[legend]

List of all members.

## Detailed Description

Abstract base class for RGBA color nodes.

## Public Member Functions

virtual | ~color_rgba_node ()=0 throw ()
| Destroy.
virtual const std::vector < openvrml::color_rgba > & | color_rgba () const =0 throw ()
| Get the `color_rgba` array encapsulated by this `node`.

## Protected Member Functions

| color_rgba_node (const node_type &type, const boost::shared_ptr< openvrml::scope > &scope) throw ()
| Construct.

## Private Member Functions

virtual color_rgba_node * | to_color_rgba () throw ()
| Cast to a `color_rgba_node`.

## Constructor & Destructor Documentation

color_rgba_node::~color_rgba_node | ( |  | ) | throw ()`[pure virtual]`

Destroy.

color_rgba_node::color_rgba_node | ( | const node_type & | type,
|  | const boost::shared_ptr< openvrml::scope > & | scope |
| ) |  |  | throw ()`[protected]`

Construct.

Parameters:

  `[in]` | type | the node_type associated with the node.
  `[in]` | scope | the scope the node belongs to.
  | type | the node_type associated with this node.
  | scope | the scope to which the node belongs.

## Member Function Documentation

const std::vector< openvrml::color_rgba > & color_rgba_node::color_rgba | ( |  | ) | const throw ()`[pure virtual]`

Get the `color_rgba` array encapsulated by this `node`.

Get the color_rgba array.

Returns:
  the `color_rgba` array for this `node`.

  the color array associated with the node.

openvrml::color_rgba_node * openvrml::color_rgba_node::to_color_rgba | ( |  | ) | throw ()`[private, virtual]`

Cast to a `color_rgba_node`.

Returns:
  a pointer to this `color_rgba_node`.

Reimplemented from openvrml::node.